Subject: [mpls] I-D Action:draft-ietf-mpls-mldp-in-band-signaling-02.txt

From: [email-masked]
Date: Wed, 7 Jul 2010 07:30:10 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

	Title           : mLDP based in-band signaling for Point-to-Multipoint and Multipoint-to- Multipoint Label Switched Paths
	Author(s)       : I. Wijnands, et al.
	Filename        : draft-ietf-mpls-mldp-in-band-signaling-02.txt
	Pages           : 13
	Date            : 2010-07-07

Suppose an IP multicast tree, constructed by Protocol Independent
Multicast (PIM), needs to pass through an MPLS domain in which
Multipoint LDP (mLDP) Point-to-Multipoint and/or Multipoint-to-
Multipoint Labels Switched Paths (LSPs) can be created.  The part of
the IP multicast tree that traverses the MPLS domain can be
instantiated as a multipoint LSP.  When a PIM Join message is
received at the border of the MPLS domain, information from that
message is encoded into mLDP messages.  When the mLDP messages are
received at the border of the next IP domain, the encoded information
is used to generate PIM messages that can be sent through the IP
domain.  The result is an IP multicast tree consisting of a set of IP
multicast sub-trees that are spliced together with a multipoint LSP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mpls-mldp-in-band-signaling-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.